RawCodec (Grails 3.2.9)
Date: 2017-04-26

Package: org.grails.encoder.impl

## [Java] Class RawCodec

- org.grails.encoder.impl.RawCodec

- All Implemented Interfaces and Traits:
    CodecFactory, Decoder, Encoder, StreamingEncoder

      public class RawCodec
      extends java.lang.Object

  Codec that doesn't do any encoding or decoding. This is for marking some text as "safe" in the buffer. "safe" part of the buffer won't be encoded later if a codec is applied to the buffer

  Authors:
    Lari Hotari
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `decode(java.lang.Object o)`
    `` | `java.lang.Object` | `encode(java.lang.Object o)`
    `` | `void` | `encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)`
    `` | `CodecIdentifier` | `getCodecIdentifier()`
    `` | `Decoder` | `getDecoder()`
    `` | `Encoder` | `getEncoder()`
    `` | `boolean` | `isApplyToSafelyEncoded()`
    `` | `boolean` | `isSafe()`
    `` | `void` | `markEncoded(java.lang.CharSequence string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### public java.lang.Object decode(java.lang.Object o)

    - #### public java.lang.Object encode(java.lang.Object o)

    - #### public void encodeToStream(Encoder thisInstance, java.lang.CharSequence source, int offset, int len, EncodedAppender appender, EncodingState encodingState)

    - #### public CodecIdentifier getCodecIdentifier()

    - #### @java.lang.Override public Decoder getDecoder()

    - #### @java.lang.Override public Encoder getEncoder()

    - #### public boolean isApplyToSafelyEncoded()

    - #### public boolean isSafe()

    - #### public void markEncoded(java.lang.CharSequence string)